Activity log for bug #568337

Date Who What changed Old value New value Message
2010-04-22 11:17:15 Carey Underwood bug added bug
2010-04-22 11:20:58 Carey Underwood description Binary package hint: usplash Building from source fails while compiling the included svgalib: .../usplash-0.5.49/svgalib/src/vga.c: In function 'savepalette': .../usplash-0.5.49/svgalib/src/libvga.h:275: error: impossible constraint in 'asm' .../usplash-0.5.49/svgalib/src/libvga.h:294: error: impossible constraint in 'asm' .../usplash-0.5.49/svgalib/src/libvga.h:294: error: impossible constraint in 'asm' .../usplash-0.5.49/svgalib/src/libvga.h:294: error: impossible constraint in 'asm' make[3]: *** [vga.o] Error 1 make[3]: Leaving directory '.../usplash-0.5.49/svgalib/staticlib' make[2]: *** [staticlib/libvga.a] Error 2 make[2]: Leaving directory '.../usplash-0.5.49/svgalib' make[1]: *** [svgalib] Error 2 make[1]: Leaving directory '.../usplash-0.5.49' make: *** [build-stamp] Error 2 * Compiling from a qemu armel vm * Dependencies installed via aptitude build-dep uimage * Build triggered via debian/rules binary It was suggested that adding -marm to the CFLAGS in debian/rules might allow the build to finish, but the build still fails with the same errors. Binary package hint: usplash Building from source fails while compiling the included svgalib: .../usplash-0.5.49/svgalib/src/vga.c: In function 'savepalette': .../usplash-0.5.49/svgalib/src/libvga.h:275: error: impossible constraint in 'asm' .../usplash-0.5.49/svgalib/src/libvga.h:294: error: impossible constraint in 'asm' .../usplash-0.5.49/svgalib/src/libvga.h:294: error: impossible constraint in 'asm' .../usplash-0.5.49/svgalib/src/libvga.h:294: error: impossible constraint in 'asm' make[3]: *** [vga.o] Error 1 make[3]: Leaving directory '.../usplash-0.5.49/svgalib/staticlib' make[2]: *** [staticlib/libvga.a] Error 2 make[2]: Leaving directory '.../usplash-0.5.49/svgalib' make[1]: *** [svgalib] Error 2 make[1]: Leaving directory '.../usplash-0.5.49' make: *** [build-stamp] Error 2 * Compiling from a qemu armel vm * Dependencies installed via aptitude build-dep uimage * Build triggered via debian/rules binary * gcc version: 4:4.4.1-1ubuntu2 It was suggested that adding -marm to the CFLAGS in debian/rules might allow the build to finish, but the build still fails with the same errors.
2010-04-22 11:44:50 Loïc Minier usplash (Ubuntu): assignee Loïc Minier (lool)
2010-04-22 11:44:53 Loïc Minier usplash (Ubuntu): status New Fix Committed
2010-04-22 11:45:27 Launchpad Janitor branch linked lp:usplash
2010-05-13 13:40:18 Launchpad Janitor usplash (Ubuntu): status Fix Committed Fix Released
2010-05-21 15:33:20 Launchpad Janitor branch linked lp:ubuntu/usplash